"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_bootstrap_1 = require("react-bootstrap");
require("./dialogmodal.scss");
exports.dialogBuilder = function (title, message, options, type) {
    var d = {
        title: title,
        message: message,
        options: options,
        type: type
    };
    return d;
};
exports.makeWarning = function (message, onProceed) { return ({
    title: "Be Warned",
    message: message,
    options: [{ name: "Ok, go ahead.", action: onProceed }]
}); };
var DialogModal = (function (_super) {
    __extends(DialogModal, _super);
    function DialogModal(props) {
        return _super.call(this, props) || this;
    }
    DialogModal.prototype.render = function () {
        var _a = this.props, dialog = _a.dialog, onCancel = _a.onCancel;
        return (dialog &&
            React.createElement(react_bootstrap_1.Modal.Dialog, { className: "dialog-modal " + (dialog.type || '') },
                React.createElement(react_bootstrap_1.Modal.Header, null,
                    React.createElement("h4", null, dialog.title)),
                React.createElement(react_bootstrap_1.Modal.Body, null,
                    React.createElement("div", null, dialog.message)),
                React.createElement(react_bootstrap_1.Modal.Footer, null,
                    onCancel ? React.createElement(react_bootstrap_1.Button, { key: "cancel", onClick: onCancel }, "Cancel") : undefined,
                    dialog.options && dialog.options.map(function (_a, i) {
                        var name = _a.name, action = _a.action, style = _a.style, icon = _a.icon, iconLeft = _a.iconLeft;
                        return React.createElement(react_bootstrap_1.Button, { bsStyle: style || "default", key: "option-" + i, onClick: action },
                            icon && iconLeft && React.createElement("i", { className: "material-icons" }, icon),
                            name,
                            icon && !iconLeft && React.createElement("i", { className: "material-icons" }, icon));
                    }))));
    };
    return DialogModal;
}(React.Component));
exports.DialogModal = DialogModal;
exports.default = DialogModal;
// /**
//     wraps the view into a stateful container.
//  */
//
//
// import { connect } from "react-redux"
// import select from "../../state/state"
// import * as actions from "../../state/commonactions"
//
// const props = state => ({
//
//   dialog : select.dialog(state)
//
// })
//
// // connect() : to the global store.
// export default connect(props,{
//
//   onCancel : actions.closeDialog
//
// })(DialogModal)
//# sourceMappingURL=dialogmodal.js.map